@echo off

if NOT %1%.==. goto command

:command
if %1%==jar goto jar
if %1%==war goto war
if %1%==ear goto ear

:helphim
echo Type : build jar or build war
goto end

:ear
call build jar
call build war
goto end

:jar
echo Building EJB jar...
rem /* Fichiers EJB*/
echo -Compiling EJB...
javac src/com/SpectacleMng/*.java -d class/

echo -Compiling Servlet...
rem /* Fichiers Servlet*/
javac -classpath "./class/;%CLASSPATH%" src/com/SpectacleWeb/*.java -d class/

echo -Adding source files to jar...
cd src
jar cvf ../SpectacleMng.jar META-INF/*.xml
jar uvf ../SpectacleMng.jar com/SpectacleMng/*.java
jar uvf ../SpectacleMng.jar com/SpectacleWeb/*.java
cd ..

echo -Adding class files to jar...
cd class
jar uvf ../SpectacleMng.jar com/SpectacleMng/*.class
jar uvf ../SpectacleMng.jar com/SpectacleWeb/*.class
cd ..
goto end

:war
echo Building war...
echo -Adding INF to jar...
rem /* Fichier war*/
jar cvf SpectacleMng.war WEB-INF/
jar uvf SpectacleMng.war META-INF/*.xml

echo -Adding jsp files to jar...
cd src/jsp
jar uvf ../../SpectacleMng.war *
cd ../..
goto end

:end
