-- suppression des tables
drop table reservation;
drop table seance;
drop table spectacle;
drop table theatre;
drop table abonne;


--cration des tables
create table spectacle (
       titre varchar(30) PRIMARY KEY,
       description varchar(500),
       genre varchar(30),
       url varchar(50)
       );

create table theatre (
       nom varchar(30) PRIMARY KEY,
       adresse varchar(100),
       infos varchar(500),
       url varchar(50),
       nbSieges integer
       );

create table seance (
       id integer PRIMARY KEY,
       date varchar(10),
       placesDispo integer,
       spectacle varchar(30) NOT NULL,
       theatre   varchar(30) NOT NULL,
       constraint ct_seance1 FOREIGN KEY(spectacle) REFERENCES spectacle(titre) ON DELETE CASCADE,
       constraint ct_seance2 FOREIGN KEY(theatre)   REFERENCES theatre  (nom)   ON DELETE CASCADE
       );

create table abonne (
       email varchar(30) PRIMARY KEY,
       nom varchar(30) NOT NULL,
       prenom varchar(30) NOT NULL,
       password varchar(30) NOT NULL
       );

create table reservation (
       id integer PRIMARY KEY,
       date varchar(10),
       places integer,
       seance integer NOT NULL,
       abonne varchar(30) NOT NULL,
       constraint ct_reservation1 FOREIGN KEY(seance) REFERENCES seance(id) ON DELETE CASCADE,
       constraint ct_reservation2 FOREIGN KEY(abonne) REFERENCES abonne(email) ON DELETE CASCADE
       );



--constraint ct_reservation2 FOREIGN KEY(abonne) REFERENCES utilisateur(nom) ON DELETE CASCADE
