package com.SpectacleMng;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import javax.ejb.CreateException;
import javax.ejb.RemoveException;
import java.rmi.RemoteException;

public abstract class ReservationEJB implements EntityBean {

   //The constructor
   public ReservationEJB() {}

   //Getter and Setter
   public abstract void setId(Integer id);
   public abstract void setDate(String date);
   public abstract void setPlaces(int places);
   public abstract void setSeance(Integer seance);
   public abstract void setAbonne(String abonne);

   public abstract Integer getId();
   public abstract String getDate();
   public abstract int getPlaces();
   public abstract Integer getSeance();
   public abstract String getAbonne();

   //Business methods


   //Standard methods called by container.
   public void ejbRemove() {}
   public void ejbActivate() {}
   public void ejbPassivate() {}
   public void ejbLoad() throws RemoteException {}
   public void ejbStore() throws RemoteException {}

   public Integer ejbCreate(Integer id, String date, int places, Integer seance, String abonne)
       throws CreateException{
     setId(id);
     setDate(date);
     setPlaces(places);
     setSeance(seance);
     setAbonne(abonne);

     return id;
   }
   public void ejbPostCreate(Integer id, String date, int places, Integer seance, String abonne) {
   }

   public void setEntityContext(EntityContext c) throws RemoteException {
     this.context = c;
   }

   public void unsetEntityContext() throws RemoteException {
     this.context = null;
   }

   // ------Class Attributs
   protected EntityContext context;

   //-------Select Methods declared in the ejb-jar deployer file

} // ReservationEJB


