package com.SpectacleMng;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public abstract class SpectacleEJB implements EntityBean {

   //The constructor
   public SpectacleEJB() {}

   //Getter and Setter
   public abstract void setTitre(String titre);
   public abstract void setDescription(String desc);
   public abstract void setGenre(String genre);
   public abstract void setUrl(String url);

   public abstract String getTitre();
   public abstract String getDescription();
   public abstract String getGenre();
   public abstract String getUrl();

   //Business methods


   //Standard methods called by container.
   public void ejbRemove() {}
   public void ejbActivate() {}
   public void ejbPassivate() {}
   public void ejbLoad() throws RemoteException {}
   public void ejbStore() throws RemoteException {}

   public String ejbCreate(String titre, String desc, String genre, String url)
       throws CreateException{
     setTitre(titre);
     setDescription(desc);
     setGenre(genre);
     setUrl(url);

     return titre;
   }
   public void ejbPostCreate(String titre, String desc, String genre, String url) {
   }

   public void setEntityContext(EntityContext c) throws RemoteException {
     this.context = c;
   }

   public void unsetEntityContext() throws RemoteException {
     this.context = null;
   }

   // ------Class Attributs
   protected EntityContext context;

   //-------Select Methods declared in the ejb-jar deployer file

} // SpectacleEJB
