package com.SpectacleMng;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface SpectacleHome extends EJBHome {

    public Spectacle create(String titre, String desc, String genre, String url)
        throws CreateException, RemoteException;

    public Spectacle findByPrimaryKey(String key)
        throws FinderException, RemoteException;

    public Collection findByGenre(String genre)
        throws FinderException, RemoteException;

    public Collection findByDescription(String description)
        throws FinderException, RemoteException;

    public Collection findByNothing()
        throws FinderException, RemoteException;

  }
