package com.SpectacleMng;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public abstract class TheatreEJB
    implements EntityBean {

  //The constructor
  public TheatreEJB() {}

  //Getter and Setter
  public abstract void setNom(String nom);
  public abstract void setAdresse(String adresse);
  public abstract void setInfos(String infos);
  public abstract void setNbSieges(int nbSieges);
  public abstract void setUrl(String url);

  public abstract String getNom();
  public abstract String getAdresse();
  public abstract String getInfos();
  public abstract int getNbSieges();
  public abstract String getUrl();

  //Business methods


  //Standard methods called by container.
  public void ejbRemove() {}

  public void ejbActivate() {}

  public void ejbPassivate() {}

  public void ejbLoad() throws RemoteException {}

  public void ejbStore() throws RemoteException {}

  public String ejbCreate(String nom, String adresse, String infos,
                          String url,int nbSieges) throws CreateException {
    setNom(nom);
    setAdresse(adresse);
    setInfos(infos);
    setUrl(url);
    setNbSieges(nbSieges);

    return nom;
  }

  public void ejbPostCreate(String nom, String adresse, String infos,
                            String url, int nbSieges) {
  }

  public void setEntityContext(EntityContext c) throws RemoteException {
    this.context = c;
  }

  public void unsetEntityContext() throws RemoteException {
    this.context = null;
  }

  // ------Class Attributs
  protected EntityContext context;

  //-------Select Methods declared in the ejb-jar deployer file

  //public abstract Collection getAll() throws FinderException,RemoteException;

} // SpectacleEJB
