package com.SpectacleMng;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface SeanceHome
    extends EJBHome {

  public Seance create(Integer id, String date, int placesDispo, String spectacle, String theatre)
      throws CreateException, RemoteException;

  public Seance findByPrimaryKey(Integer key)
      throws FinderException,RemoteException;

  public Collection findBySpectacle(String spectacle)
      throws FinderException, RemoteException;

  public Collection findByTheatre(String theatre)
      throws FinderException, RemoteException;

  public Collection findBySpectacleAndTheatre(String theatre, String spectacle)
      throws FinderException, RemoteException;

  public Collection findByNothing()
      throws FinderException, RemoteException;

}
