package com.SpectacleWeb;

import com.SpectacleMng.*;
import java.util.*;

public class UserServlet {

	String page = "";
	String email = "";
	String nom = "";

	// ----------------------------------------

	/* Enregistre un nom et concrtise l'ouverture de session
	 */
	public void enregistreNom(String nom) {
		this.nom = nom;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setPage(String page) {
		this.page = page;
	}

	public void setPassword(String password) {
		if ( (password != null) && (!password.equals("")) )
		{
			AbonneHome home = AbonneClient.getHome();
			String monNom = AbonneClient.getNom(home, email, password);
	
			if ( monNom == null )
			{
				setEmail("");
			}
			else
			{
				enregistreNom(monNom);
			}
		}
	}



	// ----------------------------------------

	// accesseurs
        public String getEmail(){
                return email;
        }

	// accesseurs
        public String getNom(){
                return nom;
        }

	// accesseurs
        public String getPage(){
                return page;
        }



	// ----------------------------------------
	// traitement




	/* Supprime un rservation
	 *
	 * @return	String		nom de l'utilisateur
	 */
	public boolean deleteReservation(String id) throws Exception
	{
		ReservationHome home = ReservationClient.getHome();
		Integer idreservation = Integer.valueOf(id);
		Reservation maReservation = ReservationClient.getReservation(home, idreservation);
		if ( email.equals(maReservation.getAbonne()) )
		{
			ReservationClient.removeReservation(home, idreservation);
			return true;
		}
		else
		{
			return false;
		}
	}


	/* Retourne une liste de rservations
	 *
	 * @return	String		nom de l'utilisateur
	 */
	public Collection getReservations()
	{
		ReservationHome home = ReservationClient.getHome();
		return ReservationClient.getReservationsByEmail(home, email);
	}

} // Classe AccountBean
