<%@ page import= "java.util.* " %>
<%@ page import= "java.text.* " %>
<jsp:useBean id="userBean" class="com.SpectacleWeb.UserServlet" scope="session" />
<%
String myPage = userBean.getPage();
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fr" xml:lang="fr">			
	<head>
		<title>Spectacles Manager</title>
		<meta http-equiv="content-type" content="application/xhtml+xml; charset=ISO-8859-1" />
		<meta http-equiv="expires" content="Now" />
		<meta http-equiv="pragma" content="no-cache" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta name="DC.Language" scheme="RFC1766" content="fr" />
		<link rel="stylesheet" type="text/css" media="all" href="./css/style.css" />
	</head>
	<body>
		<div id="generalContainer">
			<h1><a href="./index.jsp">Toon Theaters</a></h1>
			<span id="logo">&nbsp;</span>
			<ul id="mainMenu">
				<li><a href="./index.jsp">Accueil</a></li>
				<li><a href="./index.jsp?page=listeSpectacles">Spectacles</a></li>
				<li><a href="./index.jsp?page=rechercherSpectacle">Chercher un spectacle</a></li>
				<li><a href="./index.jsp?page=listeTheatres">Thatres</a></li>
				<li><a href="./index.jsp?page=rechercherTheatre">Chercher un thatre</a></li>
			</ul>
			<div id="menuContainer">
				<%
				if ( userBean.getNom().equals("") )
				{
					String parametresPage = "?page=" + myPage;
					if ( request.getParameter("id") != null )
					{
						parametresPage += "&amp;id=" + request.getParameter("id");
					}
					if ( request.getParameter("nom") != null )
					{
						parametresPage += "&amp;nom=" + request.getParameter("nom");
					}
					%>
					<form method="post" action="./index.jsp<% out.print(parametresPage); %>" id="loginForm">
						<fieldset>
							<legend>Connexion</legend>
	
							<label>Email *<input type="text" name="email" /></label><br />
							<label>Mot de passe *<input type="password" name="password" /></label><br />
	
							<input type="submit" name="submitLogin" value="Connexion" />
						</fieldset>
					</form>
					<%
				}
				else
				{
				%>
					<div id="loginForm">
						Bonjour, <%= userBean.getNom() %><br />
						<a href="index.jsp?page=listeReservations">Vos rservations</a><br />
						<a href="index.jsp?page=logout">Fermer la session</a>
					</div>
				<%
				}
				%>
			</div>
			<div id="dateActuelle">
				<%
				Date dateActuelle = new Date();
				DateFormat df = DateFormat.getDateInstance(DateFormat.LONG, Locale.FRANCE);
				Calendar now = Calendar.getInstance();         
				int hh = now.get(Calendar.HOUR_OF_DAY);       
				int mm = now.get(Calendar.MINUTE);
				out.println(df.format(dateActuelle) + "<br />" + hh + ":" + mm );  
				%>
			</div>

			<div id="contenu">
