<%@ page import= "java.util.* " %>
<%@ page import= "javax.servlet.* "%>
<%@ page import= "javax.servlet.http.* "%>
<%@ page import= "com.SpectacleMng.* "%>
<jsp:useBean id="spectacleBean" class="com.SpectacleWeb.SpectacleServlet" />
<jsp:setProperty name="spectacleBean" property="*" />

<h2>Liste des spectacles</h2>
<p>
	Cette page affiche la liste des spectacles disponibles. Cliquez sur une 
	lettre ci-dessous pour afficher uniquement les spectacles dont le nom 
	commence par cette lettre.
</p>

<%
// alphabet
String alphabet = "abcdefghijklmnopqrstuvwxyz0123456789";
int i = 0;
while ( i < 35 )
{
	out.print("<a href=\"./index.jsp?page=listeSpectacles&amp;lettre=" + alphabet.charAt(i) + "\">" + alphabet.charAt(i) + "</a> - ");
	i++;
}
out.print("<a href=\"./index.jsp?page=listeSpectacles&amp;lettre=tous\">" + "Tous les spectacles" + "</a>");

Collection liste;
Spectacle monSpectacle;

if ( spectacleBean.getLettre().equals("") || spectacleBean.getLettre().equals("tous"))
{
	liste = spectacleBean.getAllSpectacles();
}
else
{
	liste = spectacleBean.getAlphabeticalSpectacles(spectacleBean.getLettre());
}

Iterator iterateur = liste.iterator();
if ( iterateur.hasNext() )
{
	out.println("<ul>");
	while ( iterateur.hasNext() )
	{
		monSpectacle = (Spectacle) iterateur.next();
		out.println("<li><a href=\"./index.jsp?page=detailSpectacle&amp;id=" + monSpectacle.getTitre() + "\">" + monSpectacle.getTitre() + "</a></li>");
	}
	out.println("</ul>");
}
else
{
	if ( spectacleBean.getLettre().equals("") )
	{
		out.println("<p>Il n'y a  l'heure actuelle aucun spectacle</p>");
	}
	else
	{
		out.println("<p>Il n'y a  l'heure actuelle aucun spectacle dont le nom commence par la lettre " + spectacleBean.getLettre() + "</p>");
	}
}
%>
