package com.SpectacleMng;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public abstract class AbonneEJB implements EntityBean
{

  //The constructor
  public AbonneEJB() {}

  //Getter and Setter
  public abstract void setNom(String nom);
  public abstract void setPrenom(String prenom);
  public abstract void setEmail(String email);
  public abstract void setPassword(String password);

  public abstract String getNom();
  public abstract String getPrenom();
  public abstract String getEmail();
  public abstract String getPassword();


  //Business methods


  //Standard methods called by container.
  public void ejbRemove() {}
  public void ejbActivate() {}
  public void ejbPassivate() {}

  public void ejbLoad() throws RemoteException {}
  public void ejbStore() throws RemoteException {}

  public String ejbCreate(String email, String nom, String prenom, String password)
    throws CreateException
  {
    setEmail(email);
    setNom(nom);
    setPrenom(prenom);
    setPassword(password);

    return email;
  }

  public void ejbPostCreate(String email, String nom, String prenom, String password)
  {
  }

  public void setEntityContext(EntityContext c) throws RemoteException {
    this.context = c;
  }

  public void unsetEntityContext() throws RemoteException {
    this.context = null;
  }

  // ------Class Attributs
  protected EntityContext context;

  //-------Select Methods declared in the ejb-jar deployer file

  //public abstract Collection getAll() throws FinderException,RemoteException;

} // AbonneEJB
