package com.SpectacleMng;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public abstract class SeanceEJB implements EntityBean {

   //The constructor
   public SeanceEJB() {}

   //Getter and Setter
   public abstract void setId(Integer id);
   public abstract void setDate(String date);
   public abstract void setPlacesDispo(int placesDispo);
   public abstract void setSpectacle(String spectacle);
   public abstract void setTheatre(String theatre);

   public abstract Integer getId();
   public abstract String getDate();
   public abstract int getPlacesDispo();
   public abstract String getSpectacle();
   public abstract String getTheatre();

   //Business methods

   public void reservation(int nb_places){
     setPlacesDispo(getPlacesDispo() - nb_places);
   }

   public void cancelling(int nb_places){
     setPlacesDispo(getPlacesDispo() + nb_places);
   }

   //Standard methods called by container.
   public void ejbRemove() {}
   public void ejbActivate() {}
   public void ejbPassivate() {}
   public void ejbLoad() throws RemoteException {}
   public void ejbStore() throws RemoteException {}

   public Integer ejbCreate(Integer id, String date, int placesDispo, String spectacle, String theatre)
       throws CreateException{
     setId(id);
     setDate(date);
     setPlacesDispo(placesDispo);
     setSpectacle(spectacle);
     setTheatre(theatre);

     return id;
   }
   public void ejbPostCreate(Integer id, String date, int placesDispo, String spectacle, String theatre) {
   }

   public void setEntityContext(EntityContext c) throws RemoteException {
     this.context = c;
   }

   public void unsetEntityContext() throws RemoteException {
     this.context = null;
   }

   // ------Class Attributs
   protected EntityContext context;

   //-------Select Methods declared in the ejb-jar deployer file

} // SeanceEJB

