package com.SpectacleWeb;

import com.SpectacleMng.*;
import java.util.*;

public class SeanceServlet {

	String id = "-1";

	// ----------------------------------------
	// modificateur
	public void setId(String id)
	{
		this.id = id;
	}



	// ----------------------------------------
	// accesseurs
	public String getId()
	{
		return id;
	}



	// ----------------------------------------
	// traitement



	/* Effectue une rservation
	 *
	 * @param	string		nombre de places  rserver
	 * @param	string		numero de la sance pour laquelel rserver
	 * @param	string		email du client
	 */
	public void effectuerReservation(String NbPlaces, String email)
	{
		ReservationHome home = ReservationClient.getHome();
		int nbplaces = Integer.parseInt(NbPlaces);
		int idseance = Integer.parseInt(getId());
		ReservationClient.addReservation(home, nbplaces, idseance, email);
	}



	/* Retourne une seance en fonction de l'id de reservation
	 *
	 * @param	string		id de reservation
	 *
	 * @return	Seance		seance  retourner
	 */
	public Seance getSeanceFromReservation(Integer id)
	{
		SeanceHome home = SeanceClient.getHome();
		return SeanceClient.getSeance(home, id);
	}



	/* Retourne une seance en fonction de son id
	 *
	 * @return	Collection	seance  retourner
	 */
	public Seance getSeance()
	{
		SeanceHome home = SeanceClient.getHome();
		return SeanceClient.getSeance(home, Integer.valueOf(id));
	}
} // Classe AccountBean
